Listar sessões
curl --request GET \
--url https://api.devin.ai/v2/enterprise/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v2/enterprise/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v2/enterprise/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_more": true,
"items": [
{
"acus_consumed": 123,
"created_at": "2023-11-07T05:31:56Z",
"org_id": "<string>",
"pull_requests": [
{
"url": "<string>",
"state": "<string>"
}
],
"session_id": "<string>",
"status": "new",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"title": "<string>",
"user_id": "<string>"
}
],
"limit": 123,
"skip": 123,
"total": 123,
"next_cursor": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Sessões do Enterprise
Listar sessões Enterprise
Obter uma lista paginada de sessões do Devin para sua conta Enterprise
GET
/
v2
/
enterprise
/
sessions
Listar sessões
Requer uma chave de API pessoal de administrador Enterprise.
Retorna uma lista paginada de todas as sessões do Devin na sua conta Enterprise, incluindo informações básicas da sessão, dados de PR (pull request) e consumo de ACU.
Autorizações
Chave de API pessoal (apk_user_*) somente para administradores do Enterprise
Parâmetros de consulta
Intervalo obrigatório:
x >= 0Intervalo obrigatório:
1 <= x <= 200
